Bug 813893 - [abrt] python-2.7.3-1.fc17: __GI___poll: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] python-2.7.3-1.fc17: __GI___poll: Process /usr/bin/python2.7 was kille...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:634b1078e17c86702b39e60f3e9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-18 13:08 EDT by Bill Campbell
Modified: 2013-07-31 23:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:54:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (10.17 KB, text/plain)
2012-04-18 13:08 EDT, Bill Campbell
no flags Details
File: backtrace (172.99 KB, text/plain)
2012-04-18 13:08 EDT, Bill Campbell
no flags Details
File: maps (91.78 KB, text/plain)
2012-04-18 13:08 EDT, Bill Campbell
no flags Details
File: dso_list (18.79 KB, text/plain)
2012-04-18 13:08 EDT, Bill Campbell
no flags Details
File: build_ids (7.97 KB, text/plain)
2012-04-18 13:08 EDT, Bill Campbell
no flags Details

  None (edit)
Description Bill Campbell 2012-04-18 13:08:49 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/share/virt-manager/virt-manager.py
comment:        Was deleting an image from a storage pool in virt-manager
crash_function: __GI___poll
executable:     /usr/bin/python2.7
kernel:         3.3.2-1.fc17.x86_64
pid:            29746
pwd:            /home/bcampbell
remote_result:  NOTFOUND
time:           Wed 18 Apr 2012 01:06:06 PM EDT
uid:            1778390577
username:       bcampbell
var_log_messages: Apr 18 13:06:07 bcampbell abrt[4325]: Saved core dump of pid 29746 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-04-18-13:06:06-29746 (159629312 bytes)
xsession_errors: 

backtrace:      Text file, 177138 bytes
build_ids:      Text file, 8159 bytes
core_backtrace: Text file, 10414 bytes
dso_list:       Text file, 19241 bytes
maps:           Text file, 93979 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/bcampbell/1

environ:
:XDG_VTNR=1
:INFINALITY_FT_AUTOHINT_HORIZONTAL_STEM_DARKEN_STRENGTH=10
:XDG_SESSION_ID=1
:HOSTNAME=bcampbell
:GIO_LAUNCHED_DESKTOP_FILE_PID=29740
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/bcampbell/keyring-qm8J8m/gpg:0:1
:TERM=dumb
:SHELL=/bin/bash
:INFINALITY_FT_AUTOHINT_VERTICAL_STEM_DARKEN_STRENGTH=25
:INFINALITY_FT_BOLD_EMBOLDEN_X_VALUE=0
:XDG_SESSION_COOKIE=23ca37909948859fb4b15dc00000000b-1334765403.31222-349032807
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:CDC_PREW2KHOST=bcampbell
:LD_PRELOAD=/usr/lib64/libXft-infinality/libXft.so.2:/usr/lib64/freetype-infinality/libfreetype.so.6:
:GNOME_KEYRING_CONTROL=/run/user/bcampbell/keyring-qm8J8m
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:CLUTTER_VBLANK=true
:INFINALITY_FT_CONTRAST=0
:IMSETTINGS_MODULE=none
:USER=bcampbell
:INFINALITY_FT_GRAYSCALE_FILTER_STRENGTH=0
:SSH_AUTH_SOCK=/run/user/bcampbell/keyring-qm8J8m/ssh
:INFINALITY_FT_FRINGE_FILTER_STRENGTH=0
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1175,unix/unix:/tmp/.ICE-unix/1175
:INFINALITY_FT_USE_VARIOUS_TWEAKS=true
:INFINALITY_FT_BRIGHTNESS=0
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/virt-manager.desktop
:'INFINALITY_FT_GAMMA_CORRECTION=0 100'
:DESKTOP_SESSION=gnome
:PATH=/usr/share/centrifydc/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/opt/java/bin:/home/bcampbell/.local/bin:/home/bcampbell/bin
:MAIL=/var/spool/mail/bcampbell
:_=/usr/bin/gnome-session
:QT_IM_MODULE=xim
:PWD=/home/bcampbell
:XMODIFIERS=@im=none
:JAVA_HOME=/opt/java
:LANG=en_US.utf8
:'INFINALITY_FT_FILTER_PARAMS=11 22 38 22 11'
:KDE_IS_PRELINKED=1
:GDM_LANG=en_US.utf8
:INFINALITY_FT_STEM_SNAPPING_SLIDING_SCALE=40
:INFINALITY_FT_USE_KNOWN_SETTINGS_ON_SELECTED_FONTS=true
:INFINALITY_FT_WINDOWS_STYLE_SHARPENING_STRENGTH=10
:KDEDIRS=/usr
:INFINALITY_FT_CHROMEOS_STYLE_SHARPENING_STRENGTH=0
:USER_PRINCIPAL_NAME=bcampbell@CNGFINANCIAL.COM
:INFINALITY_FT_STEM_ALIGNMENT_STRENGTH=25
:INFINALITY_FT_AUTOHINT_SNAP_STEM_HEIGHT=100
:GDMSESSION=gnome
:CLUTTER_PAINT=disable-clipped-redraws:disable-culling
:HISTCONTROL=ignoredups
:CDC_JOINED_DC=chqedc08.cngfinancial.com
:SHLVL=1
:HOME=/home/bcampbell
:XDG_SEAT=seat0
:CDC_JOINED_SITE=Kenwood
:INFINALITY_FT_BOLD_EMBOLDEN_Y_VALUE=0
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:CUR_WIDTH=0
:LOGNAME=bcampbell
:INFINALITY_FT_GLOBAL_EMBOLDEN_Y_VALUE=0
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-mHZW1uDX7R,guid=adf6bf3fb552ad8a06f1ca1b0000000d
:INFINALITY_FT_STEM_FITTING_STRENGTH=25
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:INFINALITY_FT_AUTOHINT_INCREASE_GLYPH_HEIGHTS=true
:WINDOWPATH=1
:CDC_JOINED_ZONE=DC=cngfinancial,DC=com
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/bcampbell
:CDC_LOCALHOST=bcampbell.cngfinancial.com
:INFINALITY_FT_GLOBAL_EMBOLDEN_X_VALUE=0
:XAUTHORITY=/var/run/gdm/auth-for-bcampbell-GuvSLa/database
:CDC_JOINED_DOMAIN=cngfinancial.com

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 62840                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       62840                62840                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100002
:1:/dev/null
:pos:	0
:flags:	0100002
:2:/dev/null
:pos:	0
:flags:	0100002
:3:/home/bcampbell/.virt-manager/virt-manager.log
:pos:	1595
:flags:	0100001
:4:socket:[56430]
:pos:	0
:flags:	02004002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:/dev/urandom
:pos:	0
:flags:	02100000
:7:socket:[56046]
:pos:	0
:flags:	02000002
:8:socket:[56049]
:pos:	0
:flags:	02004002
:9:socket:[56050]
:pos:	0
:flags:	02004002
:10:socket:[56051]
:pos:	0
:flags:	02004002
:11:pipe:[56437]
:pos:	0
:flags:	00
:12:pipe:[56437]
:pos:	0
:flags:	04001
:13:socket:[56054]
:pos:	0
:flags:	02004002
:14:pipe:[56055]
:pos:	0
:flags:	02000000
:15:pipe:[56055]
:pos:	0
:flags:	02000001
:16:anon_inode:inotify
:pos:	0
:flags:	02004000

smolt_data:
:
:
:General
:=================================
:UUID: 06c92098-f3d1-4353-8a0a-c8a7cba877fe
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 4984.09
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2520M CPU @ 2.50GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2501
:System Memory: 7874
:System Swap: 8934
:Vendor: LENOVO
:System: 42404AU ThinkPad T520
:Form factor: Notebook
:Kernel: 3.3.2-1.fc17.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7247:6058:8655) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(4480:59427:6058:8655) pci, sdhci-pci, BASE, N/A
:(32902:294:6058:8655) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7192:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8655) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:6058:8654) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7213:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7202:6058:8655) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(4480:59442:6058:8655) pci, firewire_ohci, FIREWIRE, FireWire Host Controller
:(32902:133:32902:4881) pci, iwlwifi, NETWORK, Centrino Advanced-N 6205 AGN
:(32902:7171:6058:8655) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7229:6058:8655) pci, serial, 16550_SERIAL, 6 Series/C200 Series Chipset Family KT Controller
:(32902:7206:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8655) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8655) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 56264389 42784537 42221550 14082048 13808801 13808801
:
Comment 1 Bill Campbell 2012-04-18 13:08:52 EDT
Created attachment 578417 [details]
File: core_backtrace
Comment 2 Bill Campbell 2012-04-18 13:08:54 EDT
Created attachment 578418 [details]
File: backtrace
Comment 3 Bill Campbell 2012-04-18 13:08:55 EDT
Created attachment 578419 [details]
File: maps
Comment 4 Bill Campbell 2012-04-18 13:08:57 EDT
Created attachment 578420 [details]
File: dso_list
Comment 5 Bill Campbell 2012-04-18 13:08:58 EDT
Created attachment 578421 [details]
File: build_ids
Comment 6 Dave Malcolm 2012-04-18 14:19:23 EDT
Segfault is in thread 1 in validate_row within gtktreeview.c

attachment 578420 [details] says gtk2 version is: gtk2-2.24.10-1.fc17.x86_64
Comment 7 Fedora End Of Life 2013-07-03 20:20:05 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-07-31 23:54:51 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.